Name:           python-zerobug
Version:        2.0.18
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Zeroincombenze continuous testing framework and tools for python and bash programs

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/zeroincombenze/tools
Source:         %{pypi_source zerobug}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'zerobug' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-zerobug
Summary:        %{summary}

%description -n python3-zerobug %_description


%prep
%autosetup -p1 -n zerobug-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-zerobug -f %{pyproject_files}


%changelog
%autochangelog